var observable = require("data/observable");
var observableArray = require("data/observable-array");
var fileSystemService = require("~/data/fileSystemService");

var page;

exports.onLoaded = function(args) {
  page = args.object;
  var scrapbook = new observable.fromObject({
    pages: new observableArray.ObservableArray(),
    selectedPage: null
  });

  var pages = fileSystemService.fileSystemService.getPages();

  if (pages.length !== 0) {
    pages.forEach(function (item) {
      var model = scrapbookPageModel();
            
      model.id = item.id;
      model.title = item.title;
      model.gender = item.gender;
      model.birthDate = item.birthDate;
      model.image = item.image;
      model.lat = item.lat;
      model.long = item.long;
            
      scrapbook.pages.push(model);
    });
  }

  page.bindingContext = scrapbook;
};

function scrapbookPageModel(id){
  var model = new observable.fromObject({ 
    id: id,
    title: null, 
    birthDate: null, 
    gender: null, 
    image: null,
    lat: null,
    long: null
  });

  model.calcAge = function(birthDate){
    var now = Date.now();
    var diff = Math.abs(now - birthDate) / 1000 / 31536000;

    return diff.toFixed(1);
     };
    
  return model;
}
