var observable = require("data/observable");
var observableArray = require("data/observable-array");
var fileSystemService = require("~/data/fileSystemService");
var viewModule = require("ui/core/view"); 

var page;
var updateStackLayout; 

exports.onLoaded = function(args) {
  page = args.object;
  updateStackLayout =                                  
    viewModule.getViewById(page, "updateStackLayout"); 

  var scrapbook = new observable.fromObject({
    pages: new observableArray.ObservableArray(),
    selectedPage: null
  });

  var pages = fileSystemService.fileSystemService.getPages();

  if (pages.length !== 0) {
    pages.forEach(function (item) {
      var model = new scrapbookPageModel();
            
      model.id = item.id;
      model.title = item.title;
      model.gender = item.gender;
      model.birthDate = item.birthDate;
      model.image = item.image;
      model.lat = item.lat;
      model.long = item.long;
            
      scrapbook.pages.push(model);
    });
  }

  page.bindingContext = scrapbook;
};
