function scrapbookPageModel(id){
    var model = new observable.Observable();
    model.id = id;

    model.genders = ["Female", "Male", "Other"];
    model.calcAge = function(birthDate){
    var now = Date.now();
    var diff = Math.abs(now - birthDate) / 1000 / 31536000;

    return diff.toFixed(1);
  };

  return model;
}

exports.onLoaded = function(args) {
  var page = args.object;
  var scrapbook = new observable.fromObject(
    { pages: new observableArray.ObservableArray() });
  var pages = fileSystemService.fileSystemService.getPages();

  if (pages.length !== 0) {
    pages.forEach(function (item) {
      var model = new scrapbookPageModel();
            
      model.id = item.id;
      model.title = item.title;
      model.gender = item.gender;
      model.birthDate = item.birthDate;
      model.image = item.image;
      model.lat = item.lat;
      model.long = item.long;
            
      scrapbook.pages.push(model);
    });
  }
  else {
    scrapbook = new observable.fromObject({
      pages: new observableArray.ObservableArray()
    });
  } 

  page.bindingContext = scrapbook;
};