fileSystemService.prototype.getPages = function () {
    var pages = [];

    if (this.file.readTextSync().length !== 0) {
        pages = JSON.parse(this.file.readTextSync());
    }

    pages.forEach(function (page) {
        page.birthDate = new Date(page.birthDate); 
        if (page.imageBase64 != null) {
            page.image = imageModule.fromBase64(page.imageBase64);
        }   
    });
    
    return pages;
}

fileSystemService.prototype.savePage = function (scrapbookPage) {
    var pages = this.getPages();

    var index = pages.findIndex(function (element) {
        return element.id === scrapbookPage.id;
    });

    if (index !== -1) {
        pages[index] = {
            id: scrapbookPage.id,
            title: scrapbookPage.title,
            gender: scrapbookPage.gender,
            birthDate: scrapbookPage.birthDate,
            imageBase64: scrapbookPage.image != null ?
              scrapbookPage.image.toBase64String("png") : null,
            lat: scrapbookPage.lat,
            long: scrapbookPage.long
        };
    }
    else {
        pages.push({
            id: scrapbookPage.id,
            title: scrapbookPage.title,
            gender: scrapbookPage.gender,
            birthDate: scrapbookPage.birthDate,
            imageBase64: scrapbookPage.image != null ?           
              scrapbookPage.image.toBase64String("png") : null,
            lat: scrapbookPage.lat,
            long: scrapbookPage.long
        });
    }

    var json = JSON.stringify(pages);
    this.file.writeText(json);    
};
