import { NgModule } from "@angular/core";
import { NativeScriptModule } from "nativescript-angular/nativescript.module";
import { NativeScriptRouterModule } from "nativescript-angular/router"; 
import { routes, navigatableComponents } from "./app.routing";          

import { AppComponent } from "./app.component";
import { HomeComponent } from "./views/home/home.component";
import { ListComponent } from "./views/list/list.component";

@NgModule({
  declarations: [
    AppComponent,
    HomeComponent,
    ListComponent
  ],
  bootstrap: [
    AppComponent 
  ],
  imports: [
    NativeScriptModule,
    NativeScriptRouterModule,                
    NativeScriptRouterModule.forRoot(routes) 
  ]
})
  
export class AppModule {
}
