var view = require("ui/core/view"); 
var fileSystemService = require("~/data/fileSystemService");

exports.onLoaded = function(args) {
  var page = args.object;

  var scrapbook = new observable.Observable(                   
    { pages: new observableArray.ObservableArray() });         
  var pages = fileSystemService.fileSystemService.getPages();  

  if (pages.length !== 0) {                           
    pages.forEach(function (item) {                   
      var model = new scrapbookPageModel();           
       
      model.id = item.id;                             
      model.title = item.title;                       
      model.gender = item.gender;                     
      model.birthDate = item.birthDate;               
      model.image = item.image;                       
      model.lat = item.lat;                           
      model.long = item.long;                         
      
      scrapbook.pages.push(model);                    
    });                                               
  }                                                   
  else {                                              
    scrapbook = new observable.Observable({           
      pages: new observableArray.ObservableArray()    
    });                                               
  }                                                   

  page.bindingContext = scrapbook;
};

exports.onItemTap = function(args) {
  var page = args.object;
  var scrapbook = page.bindingContext;

  scrapbook.pages.forEach(function (item) {      
    item.set("isActive", false);                 
  });                                            

  scrapbook.set("selectedPage",                  
  scrapbook.pages.getItem(args.index));          
  scrapbook.selectedPage.set("isActive", true);  
}
